.SaleBlock-Item {
    width: 320px;
    padding: 0 32px 0 0;

    @include mobile {
        max-width: 290px;
        padding: 0 16px 0 0;
    }
}

.SaleBlock-Arrow_left {
    left: 0;

    &::before {
        top: 50%;
        transform: rotate(180deg);
    }
}

.SaleBlock-Arrow_right {
    right: 0;
}

.SaleBlock-Arrow {
    width: 32px;
    height: 32px;
    position: absolute;
    top: calc(50% - 16px);
    z-index: 1;
    background-color: rgba(255, 255, 255, 0.3);
    cursor: pointer;

    @include desktop-xl {
        display: none;
    }

    &::before {
        display: inline-block;
        width: 10px;
        height: 9px;
        position: absolute;
        top: calc(50% - 9px);
        left: calc(50% - 5px);
        content: url('../../style/images/arrow_black.svg');
        fill: #000;
    }

    &_left {
        left: 0;

        &::before {
            top: 50%;
            transform: rotate(180deg);
        }
    }

    &_right {
        right: 0;
    }
}

.SaleBlock-Carousel {
    max-width: 1356px; //paddings plus item size
    padding-left: 50px;
    margin: 0 auto;
    &-Arrow_left,
    &-Arrow_right {
        @extend .SaleBlock-Arrow;
    }
    &-Arrow_left {
        @extend .SaleBlock-Arrow_left;
    }

    &-Arrow_right {
        @extend .SaleBlock-Arrow_right;
    }
}

.SaleBlock {
    &-header {
        display: flex;
        margin-bottom: 30px;
        justify-content: flex-start;
        transform: translateX(-1181px);
        font-family: $font-rifton;
        font-size: 80px;
        font-style: normal;
        font-weight: normal;
        line-height: 80px;

        @include after-mobile {
            margin-top: 48px;
            animation: 5s linear 0s infinite slide-left;
        }

        @include mobile {
            width: 1293px;
            margin-top: 24px;
            transform: translateX(-681px);
            font-size: 48px;
            line-height: 48px;

            animation: 5s linear 0s infinite slide-left;
        }
    }

    &-headerElement {
        display: block;
        width: 100%;
        color: #f51339;
        text-shadow: 0 0 3px #fff, 0 0 3px #fff, 0 0 3px #fff, 0 0 3px #fff;
        white-space: nowrap;

        @include after-mobile {
            &:not(:last-child) {
                margin-right: 100px;
            }
        }

        @include mobile {
            &:not(:last-child) {
                margin-right: 30px;
            }
        }
    }

    &-categoryImage {
        max-width: 100%;

        img {
            width: auto;
            max-width: 100%;
        }
    }

    &-categoryHeader {
        margin-top: 20px;
        font-family: 'Work Sans', sans-serif;
        font-size: 20px;
        font-style: normal;
        font-weight: 500;
        line-height: 24px;
    }

    &-categoryLinkContainer {
        margin-top: 16px;
        font-family: 'Work Sans', sans-serif;
        font-size: 14px;
        font-style: normal;
        font-weight: 500;
        line-height: 24px;

        @include mobile {
            font-size: 12px;
            font-weight: 400;
            line-height: 18px;
        }
    }

    &-categoryLink {
        display: inline-block;
        padding-bottom: 8px;
        border-bottom: 1px solid;

        @include mobile {
            border-bottom: none;
            text-decoration: underline;
        }
    }

    &-wrapper {
        overflow: hidden;
        background: #f51339; /* Old browsers */
        background: -moz-linear-gradient(top, #f51339 0%, #f51339 68%, #fff 68%, #fff 68%, #fff 100%); /* FF3.6-15 */
        background: -webkit-linear-gradient(
            top,
            #f51339 0%,
            #f51339 68%,
            #fff 68%,
            #fff 68%,
            #fff 100%
        ); /* Chrome10-25,Safari5.1-6 */
        background: linear-gradient(
            to bottom,
            #f51339 0%,
            #f51339 68%,
            #fff 68%,
            #fff 68%,
            #fff 100%
        ); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */

        @include desktop {
            min-height: 590px;
        }
    }
}

@keyframes slide-left {
    0% {
        transform: translateX(0);
    }
}
